> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abigail.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Openclaw Analyze

> Run office action analysis. Requires API key.



## OpenAPI

````yaml https://api.abigail.app/v1/openclaw/openapi.json post /v1/openclaw/analyze
openapi: 3.1.0
info:
  title: Abigail API
  description: >-
    Patent prosecution AI API. Analyze office actions, draft response documents,
    and access examiner intelligence.
  version: 1.0.0
  contact:
    name: Abigail Support
    url: https://abigail.app
    email: support@abigail.app
servers:
  - url: https://api.abigail.app
    description: Production
security: []
paths:
  /v1/openclaw/analyze:
    post:
      tags:
        - OpenClaw
      summary: Openclaw Analyze
      description: Run office action analysis. Requires API key.
      operationId: openclaw_analyze_v1_openclaw_analyze_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnalyzeRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AnalyzeRequest:
      properties:
        application_number:
          type: string
          title: Application Number
        office_action_text:
          type: string
          title: Office Action Text
        office_action_type:
          type: string
          title: Office Action Type
          default: CTNF
        include_examiner_intel:
          type: boolean
          title: Include Examiner Intel
          default: true
      type: object
      required:
        - application_number
        - office_action_text
      title: AnalyzeRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````